com.amazonaws.services.machinelearning.model

## Class DeleteRealtimeEndpointResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.DeleteRealtimeEndpointResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeleteRealtimeEndpointResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of an `DeleteRealtimeEndpoint` operation.

The result contains the `MLModelId` and the endpoint information for the `MLModel`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeleteRealtimeEndpointResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteRealtimeEndpointResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getMLModelId()` A user-supplied ID that uniquely identifies the `MLModel`.
`RealtimeEndpointInfo` `getRealtimeEndpointInfo()` The endpoint information of the `MLModel`
`int` `hashCode()`
`void` `setMLModelId(String mLModelId)` A user-supplied ID that uniquely identifies the `MLModel`.
`void` `setRealtimeEndpointInfo(RealtimeEndpointInfo realtimeEndpointInfo)` The endpoint information of the `MLModel`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteRealtimeEndpointResult` `withMLModelId(String mLModelId)` A user-supplied ID that uniquely identifies the `MLModel`.
`DeleteRealtimeEndpointResult` `withRealtimeEndpointInfo(RealtimeEndpointInfo realtimeEndpointInfo)` The endpoint information of the `MLModel`

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteRealtimeEndpointResult

    public DeleteRealtimeEndpointResult()

### Method Detail

#### setMLModelId

    public void setMLModelId(String mLModelId)

A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

Parameters:
  `mLModelId` - A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

#### getMLModelId

    public String getMLModelId()

A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

Returns:
  A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

#### withMLModelId

    public DeleteRealtimeEndpointResult withMLModelId(String mLModelId)

A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

Parameters:
  `mLModelId` - A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRealtimeEndpointInfo

    public void setRealtimeEndpointInfo(RealtimeEndpointInfo realtimeEndpointInfo)

The endpoint information of the `MLModel`

Parameters:
  `realtimeEndpointInfo` - The endpoint information of the `MLModel`

#### getRealtimeEndpointInfo

    public RealtimeEndpointInfo getRealtimeEndpointInfo()

The endpoint information of the `MLModel`

Returns:
  The endpoint information of the `MLModel`

#### withRealtimeEndpointInfo

    public DeleteRealtimeEndpointResult withRealtimeEndpointInfo(RealtimeEndpointInfo realtimeEndpointInfo)

The endpoint information of the `MLModel`

Parameters:
  `realtimeEndpointInfo` - The endpoint information of the `MLModel`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteRealtimeEndpointResult clone()

Overrides:
  `clone` in class `Object`